$palette: (#222831, #393E46, #00ADB5, #EEEEEE);
$color-light: #ddd;
$color-dark: grey;

body {
  margin: 0;
  font-family: sans-serif;
  color: $color-dark;
}

h2 {
  margin-top: 0;
  font-weight: normal;

  div + & {
    margin-top: 50px;
  }
}

.caniuse {
  opacity: 0.4;

  &:hover {
    opacity: 1;
  }
}

header {
  position: fixed;
  top: 0;
  right: 0;
  width: 250px;
  padding: 10px;
  color: $color-light;
  background: darken(nth($palette, 1), 5);

  code {
    background: lighten(nth($palette, 1), 10);
  }
}

p {
  margin: 0;

  * + & {
    margin-top: 15px;
  }
}

.panel {
  padding: 30px;
}

.svgs {
  display: table-cell;
}

.details {
  display: table-cell;
  padding-left: 50px;
  vertical-align: middle;
}

code {
  font-size: 110%;
  padding: 0 3px;
  border-radius: 2px;
}

// build layout's blocks
@for $i from 1 through length($palette) {
  .block-#{$i} {
    background: nth($palette, $i);

    @if (lightness(nth($palette, $i)) > 40) {
      color: darken(nth($palette, $i), 30);
    } @else {
      color: lighten(nth($palette, $i), 40);
    }

    code {
      background: darken(nth($palette, $i), 10);
    }
  }
}


/* Global SVG styles */
svg {
  height: 90px;

  & + & {
    margin-left: 30px;
  }

  path,
  line,
  polygon,
  rect,
  circle {
    transition: 0.5s;
  }
}

.stroke {
  stroke: white;
  stroke-width: 0.8;
  fill: none;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.fill {
  fill: white;
  stroke: none;
}

/* Part: SVG Composition */
.svg-composition {
  svg:hover {
    .fill {
      stroke: white;
      stroke-width: 0.1;
      fill: none;
    }

    .stroke {
      stroke-width: 0.1;
    }
  }
}

/* Part: Colors on SVG */
.cloud-flash {
  .cloud, .flash {
    fill: none;
    stroke-linecap: round;
    stroke-linejoin: round;
  }

  .cloud {
    stroke: white;
  }

  .flash {
    stroke: #feeb15;
  }
}

/* Part: SVG stroke styles */
// Flashes
.stroke-styles polyline {
  stroke-width: 1.2;
  stroke: white;
  fill: none;
}

.big-flash-1 {
  /* default values
  stroke-linecap: butt;
  stroke-linecap: miter;
  */
}

.big-flash-2 {
  stroke-linecap: square;
  stroke-linejoin: bevel;
}

.big-flash-3 {
  stroke-linecap: round;
  stroke-linejoin: round;
}

/* Part: Sprite SVG */
// Moon
.moon-stars {
  width: 95px;
}

/* Part: CSS transform */
